Bug 1584611 - perl-Net-LibIDN2-1.00-3.fc29 FTBFS: Failed test at t/001_basic.t
Summary: perl-Net-LibIDN2-1.00-3.fc29 FTBFS: Failed test at t/001_basic.t
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-LibIDN2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-31 10:04 UTC by Petr Pisar
Modified: 2018-11-27 15:28 UTC (History)
3 users (show)

Fixed In Version: perl-Net-LibIDN2-1.00-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 15:28:52 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 125440 0 None None None 2018-05-31 10:23:22 UTC

Description Petr Pisar 2018-05-31 10:04:18 UTC
perl-Net-LibIDN2-1.00-3.fc29 fails to build in F29 because tests fail:

+ ./Build test

#   Failed test at t/001_basic.t line 82.
#          got: 'IDN2_OK'
#     expected: 'IDN2_NOT_NFC'

#   Failed test at t/001_basic.t line 83.
#          got: '0'
#     expected: '-300'

#   Failed test at t/001_basic.t line 84.
#          got: 'example.xn--p39a'
#     expected: undef
# Looks like you failed 3 tests of 57.

A difference between last passing and first failing build root is at <https://apps.fedoraproject.org/koschei/build/4784382>.

Comment 1 Petr Pisar 2018-05-31 10:08:32 UTC
This is caused by upgrading libidn2 from 2.0.4-7.fc29 to 2.0.5-1.fc29.

Comment 2 Petr Pisar 2018-05-31 10:23:23 UTC
libidn2-2.0.5 was pushed to all Fedoras.

Comment 3 Fedora Update System 2018-05-31 13:47:29 UTC
perl-Net-LibIDN2-1.00-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bcfc2a7cce

Comment 4 Fedora Update System 2018-05-31 13:47:43 UTC
perl-Net-LibIDN2-1.00-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-021e17f0e9

Comment 5 Fedora Update System 2018-06-01 11:46:32 UTC
perl-Net-LibIDN2-1.00-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-021e17f0e9

Comment 6 Fedora Update System 2018-06-01 13:16:03 UTC
perl-Net-LibIDN2-1.00-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bcfc2a7cce

Comment 7 Fedora Update System 2018-06-09 19:46:56 UTC
perl-Net-LibIDN2-1.00-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-06-12 16:03:48 UTC
perl-Net-LibIDN2-1.00-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Ben Cotton 2018-11-27 15:10:59 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.